%---------------------------------------------------------------
% crtanje kruznog dijagrama struja/ deo sa klizanjem kao brojem
%---------------------------------------------------------------
parametriseme;      
                    
ns=60*f./p;     
z1=(r1+r1dod)+i*(2*pi*f*l1+2*pi*f*l1dod);
z21=(r21+r21dod)/snom+i*(2*pi*f*l21+2*pi*f*l21dod);
z0=r0+i*2*pi*f*l0;
i21=u./(z1+z21+(z1+z21)/z0);
i0=u./(z1+z0+(z1+z0)/z21);
i1=i21+i0;

%figure(4)          
set(figure(4),'Position',[648 51 550 550]); 


i0a=double(real(i0));   
i0b=double(imag(i0));   

i21a=double(real(i21)); 
i21b=double(imag(i21));

i1a=double(real(i1));  
i1b=double(imag(i1));  

plotv([i0a 0 i1a;i0b 0 i1b]);
setprave('LineWidth',2.5);          
hold on     
%title('kruzni dijagram struja');%Postavlja naslov koji se nalazi pod navodnicima
%xlabel('Re I');
%ylabel('Im I');


% crtanje svih snaga za zadato klizanje
Pmeh=r21*abs(i21)^2*(1-snom)/(snom*abs(u));

Pfe=r0*abs(i0)^2/(abs(u));
Pcu1=(r1+r1dod)*abs(i1)^2/(abs(u));
Pcu2=(r21+r21dod)*abs(i21)^2/(abs(u));
reper=i1b;

xx1=[i1a i1a];
yy1=[reper reper-Pmeh];
%hold on
plot(xx1,yy1,'-b','LineWidth',2);

%Pmeh;
reper=reper-Pmeh;
yy2=[reper reper-Pcu2];
plot(xx1,yy2,'-r','LineWidth',2);

reper=reper-Pcu2;
yy3=[reper reper-Pcu1];
plot(xx1,yy3,'-b','LineWidth',2);

reper=reper-Pcu1;
yy4=[reper reper-Pfe];
plot(xx1,yy4,'-r','LineWidth',2);


% definisanje crte snage
snom=1;
ns=60*f./p;
z1=(r1+r1dod)+i*(2*pi*f*l1+2*pi*f*l1dod);
z21=(r21+r21dod)/snom+i*(2*pi*f*l21+2*pi*f*l21dod);
z0=r0+i*2*pi*f*l0;
i21=u./(z1+z21+(z1+z21)/z0);
i0=u./(z1+z0+(z1+z0)/z21);
i1=i21+i0;
i1a=double(real(i1));
i1b=double(imag(i1));
plotv([0 i1a;0 i1b]);
setprave('LineWidth',1,'color',[.5 .5 .5]);

% definisanje crte momenta
snom=inf;
ns=60*f./p;
z1=(r1+r1dod)+i*(2*pi*f*l1+2*pi*f*l1dod);
z21=(r21+r21dod)/snom+i*(2*pi*f*l21+2*pi*f*l21dod);
z0=r0+i*2*pi*f*l0;
i21=u./(z1+z21+(z1+z21)/z0);
i0=u./(z1+z0+(z1+z0)/z21);
i1=i21+i0;
i1a=double(real(i1));
i1b=double(imag(i1));
plotv([0 i1a;0 i1b]);
setprave('LineWidth',1,'color',[0 0 0]);
legend(' I0 ','I21','I1 ','Location','Best');

%--------------------------------------------------------
% crtanje kruznog dijagrama struja/ deo sa klizanjem kao
% simbolickom promenjljivom
%--------------------------------------------------------

syms s i1 i21 i0  
ns=60*f./p;
z1=(r1+r1dod)+i*(2*pi*f*l1+2*pi*f*l1dod);
z21=(r21+r21dod)/s+i*(2*pi*f*l21+2*pi*f*l21dod);
z0=r0+i*2*pi*f*l0;
i21=u./(z1+z21+(z1+z21)/z0);
i0=u./(z1+z0+(z1+z0)/z21);
i1=i21+i0;

%figure(4)
%set(figure(4),'Position',[648 51 550 550]);

ezplot(real(i0),imag(i0),[-1 1]);
setprave('color',[0 0 1],'linestyle',':','LineWidth',1);

ezplot(real(i21),imag(i21),[-1 1]);
setprave('color',[0 1 0],'linestyle',':');

ezplot(real(i1),imag(i1),[-1 1]);
setprave('color',[1 0 0],'linestyle',':','LineWidth',1);

grid on;
title('kruzni dijagram struja');
xlabel('Re I');
ylabel('Im I');
